// creator  : weidu.exe (version 23600)
// argument : HANNAH.DLG
// game     : .
// source   : ./override/HANNAH.DLG
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~HANNAH~

IF ~  True()
~ THEN BEGIN 0 // from:
  SAY #18855 /* ~There ought to be a law to keep lecherous old men like Ragefast off the streets!~ */
  IF ~~ THEN REPLY #18856 /* ~Whoa, calm down. Lecherous whats like who?~ */ GOTO 1
  IF ~~ THEN REPLY #18857 /* ~Why do I get the sense that I really don't want to get into this?~ */ GOTO 4
  IF ~Global("X#HANNAH0","GLOBAL",0)
InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#HANNAH0","GLOBAL",1)~ EXTERN ~DYNAHJ~ 216
  IF ~Global("X#HANNAH0","GLOBAL",0)
InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#HANNAH0","GLOBAL",1)~ EXTERN ~SHARTJ~ 173
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #18858 /* ~Ragefast! Oh, he makes me seethe! He's a mage on a power trip and what does he do? He acquires his own personal nymph and enslaves her in his quarters! Men are callous brutes and, personally, I wish the world were rid of them.~ */
  IF ~~ THEN REPLY #18859 /* ~If the world were rid of men, how would we survive as a species?~ */ GOTO 2
  IF ~~ THEN REPLY #18860 /* ~Why, that's a horror! I will seek him out and look into this matter immediately!~ */ GOTO 3
  IF ~Global("X#HANNAH1","GLOBAL",0)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
InParty("khalid")
InMyArea("khalid")
!StateCheck("khalid",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#HANNAH1","GLOBAL",1)~ EXTERN ~KHALIJ~ 118
  IF ~Global("X#HANNAH1","GLOBAL",0)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
InParty("khalid")
InMyArea("khalid")
!StateCheck("khalid",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#HANNAH1","GLOBAL",1)~ EXTERN ~JAHEIJ~ 369
  IF ~Global("X#HANNAH1","GLOBAL",0)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
OR(3)
!InParty("khalid")
!InMyArea("khalid")
StateCheck("khalid",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#HANNAH1","GLOBAL",1)~ EXTERN ~JAHEIJ~ 370
  IF ~Global("X#HANNAH1","GLOBAL",0)
InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#HANNAH1","GLOBAL",1)~ GOTO 6
  IF ~Global("X#HANNAH1","GLOBAL",0)
InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#HANNAH1","GLOBAL",1)~ EXTERN ~VICONJ~ 179
  IF ~Global("X#HANNAH1","GLOBAL",0)
InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#HANNAH1","GLOBAL",1)~ EXTERN ~SHARTJ~ 174
END

IF ~~ THEN BEGIN 2 // from: 8.0 7.0 6.0 1.0 JAHEIJ:377.0 JAHEIJ:376.0 JAHEIJ:375.0 JAHEIJ:374.0 JAHEIJ:373.0 JAHEIJ:372.0 JAHEIJ:371.0 JAHEIJ:370.0 JAHEIJ:369.0 KHALIJ:123.0 KHALIJ:122.0 KHALIJ:121.0 KHALIJ:120.0 KHALIJ:119.0 KHALIJ:118.0
  SAY #18861 /* ~Trust me, we'd make do... Oh, I'm in no mood to talk!~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
  IF ~Global("X#SharHannah2","GLOBAL",0)
InParty("sharteel")
InMyArea("sharteel")
!StateCheck("sharteel",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#SharHannah2","GLOBAL",1)~ EXTERN ~SHARTJ~ 103
END

IF ~~ THEN BEGIN 3 // from: 8.1 7.1 6.1 1.1 JAHEIJ:377.1 JAHEIJ:376.1 JAHEIJ:375.1 JAHEIJ:374.1 JAHEIJ:373.1 JAHEIJ:372.1 JAHEIJ:371.1 JAHEIJ:370.1 JAHEIJ:369.1 KHALIJ:123.1 KHALIJ:122.1 KHALIJ:121.1 KHALIJ:120.1 KHALIJ:119.1 KHALIJ:118.1
  SAY #18862 /* ~Oh, good. This world still has some honor left. His house is in the northwest part of town. I wish you luck and all the passion of my fury in your task.~ */
  IF ~  Global("HelpRamazith","GLOBAL",0)
!Dead("Abela")
GlobalLT("AbelaNotExists","GLOBAL",1)
~ THEN DO ~EscapeArea()
~ UNSOLVED_JOURNAL #26808 /* ~The Captive Nymph
A woman by the name of Lady Hannah informs me that Ragefast the Mage has enslaved a nymph within his quarters, in the northwest corner of the city. I will find him and listen to his defense, but rest assured, I will not give him the benefit of the doubt in a travesty such as this!~ */ EXIT
  IF ~  Global("AbelaNotExists","GLOBAL",1)
~ THEN DO ~EscapeArea()
~ EXIT
  IF ~  Dead("Abela")
~ THEN DO ~EscapeArea()
~ EXIT
  IF ~  GlobalGT("HelpRamazith","GLOBAL",0)
~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 4 // from: 0.1
  SAY #18863 /* ~Sure, avert your eyes and look the other way! It's because of people like you that this kind of thing still occurs! Argh! Must the entire world make me furious?!~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 5 // from:
  SAY #46471 /* ~Too bad it's all just wishful thinking.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 6 // from: 1.5
  SAY #50012 /* ~You! You think like one of the men!~ */
  IF ~~ THEN REPLY #18859 /* ~If the world were rid of men, how would we survive as a species?~ */ GOTO 2
  IF ~~ THEN REPLY #18860 /* ~Why, that's a horror! I will seek him out and look into this matter immediately!~ */ GOTO 3
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
InParty("khalid")
InMyArea("khalid")
!StateCheck("khalid",CD_STATE_NOTVALID)
~ THEN EXTERN ~KHALIJ~ 121
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
InParty("khalid")
InMyArea("khalid")
!StateCheck("khalid",CD_STATE_NOTVALID)
~ THEN EXTERN ~JAHEIJ~ 373
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
OR(3)
!InParty("khalid")
!InMyArea("khalid")
StateCheck("khalid",CD_STATE_NOTVALID)
~ THEN EXTERN ~JAHEIJ~ 372
END

IF ~~ THEN BEGIN 7 // from:
  SAY #50012 /* ~You! You think like one of the men!~ */
  IF ~~ THEN REPLY #18859 /* ~If the world were rid of men, how would we survive as a species?~ */ GOTO 2
  IF ~~ THEN REPLY #18860 /* ~Why, that's a horror! I will seek him out and look into this matter immediately!~ */ GOTO 3
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
InParty("khalid")
InMyArea("khalid")
!StateCheck("khalid",CD_STATE_NOTVALID)
~ THEN EXTERN ~KHALIJ~ 122
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
InParty("khalid")
InMyArea("khalid")
!StateCheck("khalid",CD_STATE_NOTVALID)
~ THEN EXTERN ~JAHEIJ~ 375
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
OR(3)
!InParty("khalid")
!InMyArea("khalid")
StateCheck("khalid",CD_STATE_NOTVALID)
~ THEN EXTERN ~JAHEIJ~ 374
END

IF ~~ THEN BEGIN 8 // from:
  SAY #50012 /* ~You! You think like one of the men!~ */
  IF ~~ THEN REPLY #18859 /* ~If the world were rid of men, how would we survive as a species?~ */ GOTO 2
  IF ~~ THEN REPLY #18860 /* ~Why, that's a horror! I will seek him out and look into this matter immediately!~ */ GOTO 3
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
InParty("khalid")
InMyArea("khalid")
!StateCheck("khalid",CD_STATE_NOTVALID)
~ THEN EXTERN ~KHALIJ~ 123
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
InParty("khalid")
InMyArea("khalid")
!StateCheck("khalid",CD_STATE_NOTVALID)
~ THEN EXTERN ~JAHEIJ~ 377
  IF ~  InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
OR(3)
!InParty("khalid")
!InMyArea("khalid")
StateCheck("khalid",CD_STATE_NOTVALID)
~ THEN EXTERN ~JAHEIJ~ 376
END
